<?php

require_once 'config.php';

// get json
$json = file_get_contents('php://input');

// decode json
$data = json_decode($json);

// require json pwd, to, params
if (!isset($data->p) || !isset($data->to) || !isset($data->cmd)) {
    die();
}

if ($data->p !== $pwd) {
    die();
}

// save to redis
$redis->set(md5($data->to), json_encode([
    'cmd' => $data->cmd,
    'params' => $data->params ?? []
]));

// publish redis
$redis->publish('rCMD_' . md5($data->to), json_encode([
    'to' => $data->to,
    'cmd' => $data->cmd,
    'params' => $data->params ?? []
]));
